# Method: projects.configs.waiters.create

- [HTTP request](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs.waiters/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs.waiters/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs.waiters/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs.waiters/create#body.request_body)
- [Response body](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs.waiters/create#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs.waiters/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs.waiters/create#try-it)

Creates a Waiter resource. This operation returns a long-running Operation resource which can be polled for completion. However, a waiter with the given name will exist (and can be retrieved) prior to the operation completing. If the operation fails, the failed Waiter resource will still exist and must be deleted prior to subsequent creation attempts.

### HTTP request

`POST https://runtimeconfig.googleapis.com/v1beta1/{parent=projects/*/configs/*}/waiters`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` The path to the configuration that will own the waiter. The configuration must exist beforehand; the path must be in the format: `projects/[PROJECT_ID]/configs/[CONFIG_NAME]`. Authorization requires the following [Google IAM](https://cloud.google.com/iam) permission on the specified resource `parent`: - `runtimeconfig.waiters.create` <br /> |

### Query parameters

| Parameters ||
|---|---|
| `requestId` | `string` An optional but recommended unique `requestId`. If the server receives two `create()` requests with the same `requestId`, then the second request will be ignored and the first resource created and stored in the backend is returned. Empty `requestId` fields are ignored. It is responsibility of the client to ensure uniqueness of the `requestId` strings. `requestId` strings are limited to 64 characters. <br /> |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/v1beta1/projects.configs.waiters#Waiter`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/deployment-manager/runtime-configurator/reference/rest/Shared.Types/Operation`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloudruntimeconfig`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## Try it!